package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the commentphoto database table.
 * 
 */
@Entity
public class CommentPhoto implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idcomphoto;

	private String commentdate;

	@Lob
	private String content;

	//bi-directional many-to-one association to LinkPhoto
	@ManyToOne
	@JoinColumn(name="idphoto")
	private LinkPhoto linkphoto;

	//bi-directional many-to-one association to Account
	@ManyToOne
	@JoinColumn(name="email")
	private Account account;

	public CommentPhoto() {
	}

	public String getIdcomphoto() {
		return this.idcomphoto;
	}

	public void setIdcomphoto(String idcomphoto) {
		this.idcomphoto = idcomphoto;
	}

	public String getCommentdate() {
		return this.commentdate;
	}

	public void setCommentdate(String commentdate) {
		this.commentdate = commentdate;
	}

	public String getContent() {
		return this.content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public LinkPhoto getLinkphoto() {
		return this.linkphoto;
	}

	public void setLinkphoto(LinkPhoto linkphoto) {
		this.linkphoto = linkphoto;
	}

	public Account getAccount() {
		return this.account;
	}

	public void setAccount(Account account) {
		this.account = account;
	}

}